org.apache.lucene.benchmark.byTask.feeds

## Class LineDocSource.LineParser

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.LineDocSource.LineParser

Direct Known Subclasses:
  LineDocSource.HeaderLineParser, LineDocSource.SimpleLineParser

Enclosing class:
  LineDocSource

    public abstract static class LineDocSource.LineParser
    extends Object

Reader of a single input line into `DocData`.

### Field Summary

Fields
`protected String[]` `header`

### Constructor Summary

Constructors
Constructor and Description
`LineDocSource.LineParser(String[] header)` Construct with the header

### Method Summary

Methods
`abstract void` `parseLine(DocData docData, String line)` parse an input line and fill doc data appropriately

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### header

    protected final String[] header

### Constructor Detail

#### LineDocSource.LineParser

    public LineDocSource.LineParser(String[] header)

Construct with the header

Parameters:
  `header` - header line found in the input file, or null if none

### Method Detail

#### parseLine

    public abstract void parseLine(DocData docData,
                 String line)

parse an input line and fill doc data appropriately